IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcde::/16- First address
fcde::- Last address
fcde:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcde:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
e.d.c.f.ip6.arpa
Split into smaller subnets
fcde::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcde::/28 | fcde:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcde:10::/28 | fcde:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcde:20::/28 | fcde:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcde:30::/28 | fcde:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcde:40::/28 | fcde:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcde:50::/28 | fcde:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcde:60::/28 | fcde:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcde:70::/28 | fcde:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcde:80::/28 | fcde:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcde:90::/28 | fcde:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcde:a0::/28 | fcde:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcde:b0::/28 | fcde:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcde:c0::/28 | fcde:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcde:d0::/28 | fcde:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcde:e0::/28 | fcde:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcde:f0::/28 | fcde:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcde:100::/28 | fcde:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcde:110::/28 | fcde:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcde:120::/28 | fcde:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcde:130::/28 | fcde:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcde:140::/28 | fcde:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcde:150::/28 | fcde:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcde:160::/28 | fcde:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcde:170::/28 | fcde:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcde:180::/28 | fcde:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcde:190::/28 | fcde:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcde:1a0::/28 | fcde:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcde:1b0::/28 | fcde:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcde:1c0::/28 | fcde:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcde:1d0::/28 | fcde:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcde:1e0::/28 | fcde:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcde:1f0::/28 | fcde:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcde:200::/28 | fcde:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcde:210::/28 | fcde:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcde:220::/28 | fcde:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcde:230::/28 | fcde:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcde:240::/28 | fcde:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcde:250::/28 | fcde:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcde:260::/28 | fcde:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcde:270::/28 | fcde:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcde:280::/28 | fcde:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcde:290::/28 | fcde:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcde:2a0::/28 | fcde:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcde:2b0::/28 | fcde:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcde:2c0::/28 | fcde:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcde:2d0::/28 | fcde:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcde:2e0::/28 | fcde:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcde:2f0::/28 | fcde:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcde:300::/28 | fcde:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcde:310::/28 | fcde:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcde:320::/28 | fcde:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcde:330::/28 | fcde:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcde:340::/28 | fcde:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcde:350::/28 | fcde:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcde:360::/28 | fcde:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcde:370::/28 | fcde:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcde:380::/28 | fcde:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcde:390::/28 | fcde:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcde:3a0::/28 | fcde:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcde:3b0::/28 | fcde:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcde:3c0::/28 | fcde:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcde:3d0::/28 | fcde:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcde:3e0::/28 | fcde:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcde:3f0::/28 | fcde:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcde:400::/28 | fcde:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcde:410::/28 | fcde:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcde:420::/28 | fcde:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcde:430::/28 | fcde:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcde:440::/28 | fcde:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcde:450::/28 | fcde:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcde:460::/28 | fcde:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcde:470::/28 | fcde:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcde:480::/28 | fcde:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcde:490::/28 | fcde:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcde:4a0::/28 | fcde:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcde:4b0::/28 | fcde:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcde:4c0::/28 | fcde:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcde:4d0::/28 | fcde:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcde:4e0::/28 | fcde:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcde:4f0::/28 | fcde:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcde:500::/28 | fcde:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcde:510::/28 | fcde:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcde:520::/28 | fcde:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcde:530::/28 | fcde:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcde:540::/28 | fcde:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcde:550::/28 | fcde:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcde:560::/28 | fcde:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcde:570::/28 | fcde:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcde:580::/28 | fcde:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcde:590::/28 | fcde:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcde:5a0::/28 | fcde:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcde:5b0::/28 | fcde:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcde:5c0::/28 | fcde:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcde:5d0::/28 | fcde:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcde:5e0::/28 | fcde:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcde:5f0::/28 | fcde:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcde:600::/28 | fcde:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcde:610::/28 | fcde:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcde:620::/28 | fcde:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcde:630::/28 | fcde:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcde:640::/28 | fcde:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcde:650::/28 | fcde:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcde:660::/28 | fcde:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcde:670::/28 | fcde:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcde:680::/28 | fcde:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcde:690::/28 | fcde:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcde:6a0::/28 | fcde:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcde:6b0::/28 | fcde:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcde:6c0::/28 | fcde:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcde:6d0::/28 | fcde:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcde:6e0::/28 | fcde:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcde:6f0::/28 | fcde:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcde:700::/28 | fcde:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcde:710::/28 | fcde:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcde:720::/28 | fcde:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcde:730::/28 | fcde:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcde:740::/28 | fcde:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcde:750::/28 | fcde:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcde:760::/28 | fcde:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcde:770::/28 | fcde:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcde:780::/28 | fcde:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcde:790::/28 | fcde:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcde:7a0::/28 | fcde:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcde:7b0::/28 | fcde:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcde:7c0::/28 | fcde:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcde:7d0::/28 | fcde:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcde:7e0::/28 | fcde:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcde:7f0::/28 | fcde:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcde:800::/28 | fcde:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcde:810::/28 | fcde:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcde:820::/28 | fcde:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcde:830::/28 | fcde:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcde:840::/28 | fcde:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcde:850::/28 | fcde:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcde:860::/28 | fcde:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcde:870::/28 | fcde:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcde:880::/28 | fcde:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcde:890::/28 | fcde:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcde:8a0::/28 | fcde:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcde:8b0::/28 | fcde:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcde:8c0::/28 | fcde:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcde:8d0::/28 | fcde:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcde:8e0::/28 | fcde:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcde:8f0::/28 | fcde:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcde:900::/28 | fcde:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcde:910::/28 | fcde:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcde:920::/28 | fcde:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcde:930::/28 | fcde:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcde:940::/28 | fcde:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcde:950::/28 | fcde:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcde:960::/28 | fcde:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcde:970::/28 | fcde:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcde:980::/28 | fcde:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcde:990::/28 | fcde:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcde:9a0::/28 | fcde:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcde:9b0::/28 | fcde:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcde:9c0::/28 | fcde:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcde:9d0::/28 | fcde:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcde:9e0::/28 | fcde:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcde:9f0::/28 | fcde:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcde:a00::/28 | fcde:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcde:a10::/28 | fcde:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcde:a20::/28 | fcde:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcde:a30::/28 | fcde:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcde:a40::/28 | fcde:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcde:a50::/28 | fcde:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcde:a60::/28 | fcde:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcde:a70::/28 | fcde:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcde:a80::/28 | fcde:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcde:a90::/28 | fcde:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcde:aa0::/28 | fcde:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcde:ab0::/28 | fcde:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcde:ac0::/28 | fcde:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcde:ad0::/28 | fcde:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcde:ae0::/28 | fcde:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcde:af0::/28 | fcde:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcde:b00::/28 | fcde:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcde:b10::/28 | fcde:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcde:b20::/28 | fcde:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcde:b30::/28 | fcde:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcde:b40::/28 | fcde:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcde:b50::/28 | fcde:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcde:b60::/28 | fcde:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcde:b70::/28 | fcde:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcde:b80::/28 | fcde:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcde:b90::/28 | fcde:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcde:ba0::/28 | fcde:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcde:bb0::/28 | fcde:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcde:bc0::/28 | fcde:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcde:bd0::/28 | fcde:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcde:be0::/28 | fcde:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcde:bf0::/28 | fcde:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcde:c00::/28 | fcde:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcde:c10::/28 | fcde:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcde:c20::/28 | fcde:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcde:c30::/28 | fcde:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcde:c40::/28 | fcde:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcde:c50::/28 | fcde:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcde:c60::/28 | fcde:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcde:c70::/28 | fcde:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcde:c80::/28 | fcde:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcde:c90::/28 | fcde:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcde:ca0::/28 | fcde:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcde:cb0::/28 | fcde:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcde:cc0::/28 | fcde:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcde:cd0::/28 | fcde:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcde:ce0::/28 | fcde:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcde:cf0::/28 | fcde:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcde:d00::/28 | fcde:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcde:d10::/28 | fcde:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcde:d20::/28 | fcde:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcde:d30::/28 | fcde:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcde:d40::/28 | fcde:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcde:d50::/28 | fcde:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcde:d60::/28 | fcde:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcde:d70::/28 | fcde:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcde:d80::/28 | fcde:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcde:d90::/28 | fcde:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcde:da0::/28 | fcde:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcde:db0::/28 | fcde:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcde:dc0::/28 | fcde:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcde:dd0::/28 | fcde:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcde:de0::/28 | fcde:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcde:df0::/28 | fcde:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcde:e00::/28 | fcde:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcde:e10::/28 | fcde:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcde:e20::/28 | fcde:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcde:e30::/28 | fcde:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcde:e40::/28 | fcde:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcde:e50::/28 | fcde:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcde:e60::/28 | fcde:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcde:e70::/28 | fcde:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcde:e80::/28 | fcde:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcde:e90::/28 | fcde:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcde:ea0::/28 | fcde:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcde:eb0::/28 | fcde:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcde:ec0::/28 | fcde:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcde:ed0::/28 | fcde:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcde:ee0::/28 | fcde:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcde:ef0::/28 | fcde:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcde:f00::/28 | fcde:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcde:f10::/28 | fcde:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcde:f20::/28 | fcde:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcde:f30::/28 | fcde:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcde:f40::/28 | fcde:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcde:f50::/28 | fcde:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcde:f60::/28 | fcde:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcde:f70::/28 | fcde:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcde:f80::/28 | fcde:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcde:f90::/28 | fcde:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcde:fa0::/28 | fcde:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcde:fb0::/28 | fcde:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcde:fc0::/28 | fcde:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcde:fd0::/28 | fcde:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcde:fe0::/28 | fcde:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcde:ff0::/28 | fcde:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |